(contributing_guide)=
# Contributing to ArviZ
As a scientific, community-driven, open source software project,
ArviZ welcomes contributions from interested individuals or groups.
These guidelines are provided to give potential contributors information
to make their contributions compliant with the conventions of the ArviZ project,
and maximize the probability of such contributions to be merged as quickly
and efficiently as possible.

Even though contributing code or documentation by sending pull requests on
the main [ArviZ GitHub repository](https://github.com/arviz-devs/arviz) is the most common way of contributing and
therefore this guide dedicates more resources to these, ArviZ welcomes any kind of contribution.
As a clear proof, you can become a core contributor and participate in
[ArviZ governance](https://github.com/arviz-devs/arviz/blob/main/GOVERNANCE.md)
without having contributed code to ArviZ.
All contributions to ArviZ, either on its codebase, its documentation,
or its community are valuable and we really appreciate your help.

Contact us on [Gitter](https://gitter.im/arviz-devs/community) if you want to
contribute to the project but you are not sure where you can contribute or how to start.

There are 4 main ways of contributing to the ArviZ _codebase_
(in descending order of difficulty or scope):

1. Adding new or improved functionality to the existing codebase.
2. Fixing outstanding [issues](https://github.com/arviz-devs/arviz/issues) (bugs) with the existing codebase. They range from low-level software bugs to higher-level design problems.
3. Contributing or improving the [documentation](https://arviz-devs.github.io/arviz/) (`docs`) or examples (`arviz/examples`).
4. [Submitting issues](https://github.com/arviz-devs/arviz/issues/new/choose) related to bugs or desired enhancements. Check the details at {doc}`issue_reports`.

Further information on how to contribute to ArviZ can be found on these specific pages:

```{toctree}
:maxdepth: 2

issue_reports
contributing_prs
developing_in_docker
developer_guide
```
